#1811 closed defect (fixed)

FTPD generates invalid command reply

Reported by: Sebastian Huber Owned by: Eric Norum
Priority: normal Milestone: 4.11
Component: network/legacy Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

According to RFC 959:

A reply is defined to contain the 3-digit code, followed by Space <SP>, followed by one line of text (where some maximum line length has been specified), and terminated by the Telnet end-of-line code.

Attachments (2)

ftpd.patch (661 bytes) - added by Sebastian Huber on May 25, 2011 at 11:35:58 AM.
Patch.
ftpd_v1.patch (647 bytes) - added by Sebastian Huber on May 25, 2011 at 11:41:07 AM.
Patch.

Download all attachments as: .zip

Change History (5)

Changed on May 25, 2011 at 11:35:58 AM by Sebastian Huber

Attachment: ftpd.patch added

Patch.

Changed on May 25, 2011 at 11:41:07 AM by Sebastian Huber

Attachment: ftpd_v1.patch added

Patch.

comment:1 Changed on May 25, 2011 at 11:41:07 AM by Sebastian Huber

attachments.isobsolete: 01

comment:2 Changed on Jun 7, 2011 at 8:09:17 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

Fixed on CVS head.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.